blob: 10c3e404c18528b27f14161d0767ca32d9ca1e2f [file] [log] [blame]
Brian Gaeke4940c572004-02-08 07:44:48 +00001#!/bin/sh
2die () {
3 echo "$@" 1>&2
4 exit 1
5}
6test -d autoconf && test -f autoconf/configure.ac && cd autoconf
Reid Spencerdcd38752004-09-07 16:00:48 +00007test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
Reid Spencerb03adb82004-09-19 22:14:24 +00008autoconf --version | egrep '2\.59' > /dev/null
9if test $? -ne 0 ; then
10 die "Your autoconf was not detected as being 2.59"
11fi
12aclocal --version | egrep '1\.9\.1' > /dev/null
13if test $? -ne 0 ; then
14 die "Your aclocal was not detected as being 1.9.1"
15fi
16autoheader --version | egrep '2\.59' > /dev/null
17if test $? -ne 0 ; then
18 die "Your autoheader was not detected as being 2.59"
19fi
20libtool --version | grep '1.5.10' > /dev/null
21if test $? -ne 0 ; then
22 die "Your libtool was not detected as being 1.5.10"
Brian Gaeke4940c572004-02-08 07:44:48 +000023fi
Reid Spencer8eacb0c2004-09-19 22:30:53 +000024echo ""
25echo "### NOTE: ############################################################"
Reid Spencer5d6c4a52004-09-21 17:13:23 +000026echo "### If you get *any* warnings from autoconf below you MUST fix the"
27echo "### scripts in the m4 directory because there are future forward"
Reid Spencer8eacb0c2004-09-19 22:30:53 +000028echo "### compatibility or platform support issues at risk. Please do NOT"
29echo "### commit any configure.ac or configure script that was generated "
Reid Spencer5d6c4a52004-09-21 17:13:23 +000030echo "### with warnings present. You should get just three 'Regenerating..'"
31echo "### lines."
Reid Spencer8eacb0c2004-09-19 22:30:53 +000032echo "######################################################################"
33echo ""
Reid Spencerdcd38752004-09-07 16:00:48 +000034echo "Regenerating aclocal.m4 with aclocal"
35cwd=`pwd`
Reid Spencerb03adb82004-09-19 22:14:24 +000036aclocal --force -I $cwd/m4 || die "aclocal failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000037echo "Regenerating configure with autoconf 2.5x"
Reid Spencerb03adb82004-09-19 22:14:24 +000038autoconf --force --warnings=all -o ../configure configure.ac || die "autoconf failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000039cd ..
40echo "Regenerating config.h.in with autoheader 2.5x"
Reid Spencerdcd38752004-09-07 16:00:48 +000041autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000042exit 0